<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="prev" href="node4.html" />
<link rel="parent" href="node3.html" />
<link rel="next" href="building.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.2 Create the installation directory</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.1 add the group"
  href="node4.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 set up your"
  href="node3.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="3 build and install"
  href="building.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node4.html">2.1 Add the group</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node3.html">2 Set up your</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="building.html">3 Build and install</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION001220000000000000000"></a><a name="create-install-dir"></a>
<br>
2.2 Create the installation directory
</h2>
Typically, Mailman is installed into a single directory, which includes both
the Mailman source code and the run-time list and archive data.  It is
possible to split the static program files from the variable data files and
install them in separate directories.  This section will describe the
available options.

<p>
The default is to install all of Mailman to
<span class="file">/usr/local/mailman</span><a name="tex2html2"
  href="#foot746"><sup>2</sup></a>.  You can change this base installation directory (referred to here
as <var>$prefix</var>) by specifying the directory with the
<b class="programopt">--prefix</b> <b class="program">configure</b> option.  If you're upgrading from
a previous version of Mailman, you may want to use the <b class="programopt">--prefix</b>
option unless you move your mailing lists.

<p>
<div class="warning"><b class="label">Warning:</b>

You cannot install Mailman on a filesystem that is mounted with the
<code>nosuid</code> option.  This will break Mailman, which relies on setgid
programs for its security.  If this describes your environment, simply install
Mailman in a location that allows setgid programs.
</div>

<p>
Make sure the installation directory is set to group <code>mailman</code> (or
whatever you're going to specify with <b class="programopt">--with-groupname</b>) and has
the setgid bit set<a name="tex2html3"
  href="#foot747"><sup>3</sup></a>.  You probably also want to guarantee that this
directory is readable and executable by everyone.  For example, these shell
commands will accomplish this:

<p>
<div class="verbatim"><pre>
    % cd $prefix
    % chgrp mailman .
    % chmod a+rx,g+ws .
</pre></div>

<p>
<div class="warning"><b class="label">Warning:</b>

The installation directory, <var>$prefix</var>, cannot be the same directory
that the source tarball has been unpacked to and in which you run
<b class="program">configure</b>, but it can, if you wish, be a subdirectory, e.g.,
<var>$prefix/src</var>.
</div>

<p>
You are now ready to configure and install the Mailman software.

<p>
<br><hr><h4>Footnotes</h4>
<dl>
<dt><a name="foot746">.../usr/local/mailman</a><A
 href="create-install-dir.html#tex2html2"><sup>2</sup></a></dt>
<dd>This is the default for Mailman 2.1.
Earlier versions of Mailman installed everything under <span class="file">/home/mailman</span> by
default.

</dd>
<dt><a name="foot747">... set</a><A
 href="create-install-dir.html#tex2html3"><sup>3</sup></a></dt>
<dd>BSD users should see the <a href="bsd-issues.html#bsd-issues">15.2</a> section
for additional information.

</dd>
</dl>
<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.1 add the group"
  href="node4.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 set up your"
  href="node3.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="3 build and install"
  href="building.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node4.html">2.1 Add the group</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node3.html">2 Set up your</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="building.html">3 Build and install</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
